Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::Outlet::Sensors Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Outlet::Sensors Struct Reference

Outlet sensors More...

## Public Attributes
sensors::NumericSensor | voltage
| RMS voltage sensor (may be a VoltageMonitoringSensor)
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | maximumCurrent
| Maximum current sensor.
sensors::NumericSensor | unbalancedCurrent
| Current unbalance sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | lineFrequency
| AC line frequency sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | voltageThd
| Voltage total harmonic distortion sensor.
sensors::NumericSensor | currentThd
| Current total harmonic distortion sensor.
sensors::NumericSensor | inrushCurrent
| In-rush current occuring after turning outlet on.
sensors::StateSensor | outletState
| Outlet power state sensor

## Detailed Description

Outlet sensors

Definition at line 109 of file Outlet.idl.

## Member Data Documentation

## ◆ activeEnergy

sensors::NumericSensor pdumodel::Outlet::Sensors::activeEnergy

Active energy sensor.

Definition at line 120 of file Outlet.idl.

## ◆ activePower

sensors::NumericSensor pdumodel::Outlet::Sensors::activePower

Active power sensor.

Definition at line 115 of file Outlet.idl.

## ◆ apparentEnergy

sensors::NumericSensor pdumodel::Outlet::Sensors::apparentEnergy

Apparent energy sensor.

Definition at line 121 of file Outlet.idl.

## ◆ apparentPower

sensors::NumericSensor pdumodel::Outlet::Sensors::apparentPower

Apparent power sensor.

Definition at line 117 of file Outlet.idl.

## ◆ crestFactor

sensors::NumericSensor pdumodel::Outlet::Sensors::crestFactor

Crest factor sensor.

Definition at line 124 of file Outlet.idl.

## ◆ current

sensors::NumericSensor pdumodel::Outlet::Sensors::current

RMS current sensor.

Definition at line 111 of file Outlet.idl.

## ◆ currentThd

sensors::NumericSensor pdumodel::Outlet::Sensors::currentThd

Current total harmonic distortion sensor.

Definition at line 126 of file Outlet.idl.

## ◆ displacementPowerFactor

sensors::NumericSensor pdumodel::Outlet::Sensors::displacementPowerFactor

Displacement power factor sensor.

Definition at line 119 of file Outlet.idl.

## ◆ inrushCurrent

sensors::NumericSensor pdumodel::Outlet::Sensors::inrushCurrent

In-rush current occuring after turning outlet on.

Definition at line 127 of file Outlet.idl.

## ◆ lineFrequency

sensors::NumericSensor pdumodel::Outlet::Sensors::lineFrequency

AC line frequency sensor.

Definition at line 123 of file Outlet.idl.

## ◆ maximumCurrent

sensors::NumericSensor pdumodel::Outlet::Sensors::maximumCurrent

Maximum current sensor.

Definition at line 113 of file Outlet.idl.

## ◆ outletState

sensors::StateSensor pdumodel::Outlet::Sensors::outletState

Outlet power state sensor

Definition at line 128 of file Outlet.idl.

## ◆ peakCurrent

sensors::NumericSensor pdumodel::Outlet::Sensors::peakCurrent

Peak current sensor.

Definition at line 112 of file Outlet.idl.

## ◆ phaseAngle

sensors::NumericSensor pdumodel::Outlet::Sensors::phaseAngle

Phase angle sensor.

Definition at line 122 of file Outlet.idl.

## ◆ powerFactor

sensors::NumericSensor pdumodel::Outlet::Sensors::powerFactor

Power factor sensor.

Definition at line 118 of file Outlet.idl.

## ◆ reactivePower

sensors::NumericSensor pdumodel::Outlet::Sensors::reactivePower

Reactive power sensor.

Definition at line 116 of file Outlet.idl.

## ◆ unbalancedCurrent

sensors::NumericSensor pdumodel::Outlet::Sensors::unbalancedCurrent

Current unbalance sensor.

Definition at line 114 of file Outlet.idl.

## ◆ voltage

sensors::NumericSensor pdumodel::Outlet::Sensors::voltage

RMS voltage sensor (may be a VoltageMonitoringSensor)

Definition at line 110 of file Outlet.idl.

## ◆ voltageThd

sensors::NumericSensor pdumodel::Outlet::Sensors::voltageThd

Voltage total harmonic distortion sensor.

Definition at line 125 of file Outlet.idl.

The documentation for this struct was generated from the following file:

- Outlet.idl